PVideoDevice::OpenArgs Struct Reference

`#include <videoio.h>`

## Public Member Functions

| OpenArgs ()

## Public Attributes

PPluginManager * | pluginMgr
PString | driverName
PString | deviceName
VideoFormat | videoFormat
int | channelNumber
PString | colourFormat
bool | convertFormat
unsigned | rate
unsigned | width
unsigned | height
bool | convertSize
ResizeMode | resizeMode
bool | flip
int | brightness
int | whiteness
int | contrast
int | colour
int | hue

## Constructor & Destructor Documentation

## OpenArgs()

PVideoDevice::OpenArgs::OpenArgs | ( |  | ) |

## Member Data Documentation

## brightness

int PVideoDevice::OpenArgs::brightness

## channelNumber

int PVideoDevice::OpenArgs::channelNumber

## colour

int PVideoDevice::OpenArgs::colour

## colourFormat

PString PVideoDevice::OpenArgs::colourFormat

## contrast

int PVideoDevice::OpenArgs::contrast

## convertFormat

bool PVideoDevice::OpenArgs::convertFormat

## convertSize

bool PVideoDevice::OpenArgs::convertSize

## deviceName

PString PVideoDevice::OpenArgs::deviceName

## driverName

PString PVideoDevice::OpenArgs::driverName

## flip

bool PVideoDevice::OpenArgs::flip

## height

unsigned PVideoDevice::OpenArgs::height

## hue

int PVideoDevice::OpenArgs::hue

## pluginMgr

PPluginManager* PVideoDevice::OpenArgs::pluginMgr

## rate

unsigned PVideoDevice::OpenArgs::rate

## resizeMode

ResizeMode PVideoDevice::OpenArgs::resizeMode

## videoFormat

VideoFormat PVideoDevice::OpenArgs::videoFormat

## whiteness

int PVideoDevice::OpenArgs::whiteness

## width

unsigned PVideoDevice::OpenArgs::width

The documentation for this struct was generated from the following file:

- videoio.h